> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get valorant store offers



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/{version}/store-offers
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security: []
tags:
  - name: valorant
    description: Valorant public API endpoints
paths:
  /valorant/{version}/store-offers:
    get:
      tags:
        - valorant
      operationId: StoreOffers
      parameters:
        - name: version
          in: path
          description: API version (v1, v2)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Store offers retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoreOffersV1Response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Store data not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    StoreOffersV1Response:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/StoreOffersV1'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    StoreOffersV1:
      type: object
      required:
        - Offers
        - UpgradeCurrencyOffers
      properties:
        Offers:
          type: array
          items:
            $ref: '#/components/schemas/StoreOffersV1Offer'
        UpgradeCurrencyOffers:
          type: array
          items:
            $ref: '#/components/schemas/StoreOffersV1UpgradeCurrency'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    StoreOffersV1Offer:
      type: object
      required:
        - OfferID
        - IsDirectPurchase
        - StartDate
        - Cost
        - Rewards
      properties:
        Cost:
          type: object
          additionalProperties:
            type: integer
            format: int32
          propertyNames:
            type: string
        IsDirectPurchase:
          type: boolean
        OfferID:
          type: string
        Rewards:
          type: array
          items:
            $ref: '#/components/schemas/StoreOffersV1Reward'
        StartDate:
          type: string
    StoreOffersV1UpgradeCurrency:
      type: object
      required:
        - OfferID
        - StorefrontItemID
        - Offer
        - DiscountedPercent
      properties:
        DiscountedPercent:
          type: number
          format: double
        Offer:
          $ref: '#/components/schemas/StoreOffersV1Offer'
        OfferID:
          type: string
        StorefrontItemID:
          type: string
    StoreOffersV1Reward:
      type: object
      required:
        - ItemTypeID
        - ItemID
        - Quantity
      properties:
        ItemID:
          type: string
        ItemTypeID:
          type: string
        Quantity:
          type: integer
          format: int32

````